API Documentation
The KeyCID API allows you to programmatically generate Confirmation IDs (CIDs) for Microsoft product activation.
Authentication
All API requests require authentication using a Bearer token
Include your API key in the Authorization header of every request:
Authorization: Bearer YOUR_API_KEYYou can generate API keys in your Dashboard.
Base URL
https://keycid.com/api/v1Endpoints
POST
/api/v1/cidGenerate a Confirmation ID from an Installation ID.
Request Body
{
"iid": "001234567890123456789012345678901234567890123456"
}Response
{
"success": true,
"cid": "002411077835251809134407537210025498078174",
"product": "Windows 11 Pro",
"pid": "00330-80000-00000-AA123",
"cost": 0.04,
"balance": 12.46
}Cached Response
If a CID was already generated for this IID, it is returned for free from cache.
{
"success": true,
"cid": "002411077835251809134407537210025498078174",
"product": "Windows 11 Pro",
"pid": "00330-80000-00000-AA123",
"cached": true
}Error Response
{
"error": "Invalid IID format."
}
// or with insufficient balance (HTTP 402):
{
"error": "Insufficient balance.",
"balance": 0.02
}GET
/api/v1/balanceGet your current account balance.
Response
{
"balance": 12.50,
"email": "user@example.com"
}GET
/api/v1/historyGet your CID generation history.
Query Parameters
page - Page number (default: 1)
limit - Number of results (default: 20, max: 100)
Response
{
"requests": [
{
"id": "clx1abc123",
"iid": "001234...",
"cid": "002411...",
"product": "Windows 11 Pro",
"status": "success",
"error": null,
"cost": 0.04,
"createdAt": "2024-01-15T14:32:15.000Z"
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 127,
"pages": 7
}
}Code Examples
Quick start examples in popular languages
curl -X POST https://keycid.com/api/v1/cid \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"iid": "001234567890123456789012345678901234567890123456"}'
# Check balance
curl https://keycid.com/api/v1/balance \
-H "Authorization: Bearer YOUR_API_KEY"
# Get history
curl "https://keycid.com/api/v1/history?page=1&limit=20" \
-H "Authorization: Bearer YOUR_API_KEY"Rate Limits
API requests are rate limited to ensure fair usage:
- 100 requests per minute
- 1000 requests per hour
- 10,000 requests per day
Rate limit headers are included in every response:
X-RateLimit-Limit: 100
X-RateLimit-Remaining: 95
X-RateLimit-Reset: 1705330000Error Codes
| Code | Description |
|---|---|
INVALID_IID | The Installation ID format is invalid |
UNSUPPORTED_PRODUCT | The product is not supported |
INSUFFICIENT_BALANCE | Account balance is too low |
RATE_LIMIT_EXCEEDED | Too many requests |
INVALID_API_KEY | API key is invalid or revoked |